Bug 520063 - [RFE] 1.8.6p383 is available
[RFE] 1.8.6p383 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-28 04:42 EDT by Mamoru TASAKA
Modified: 2009-11-16 03:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 03:30:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Replacement patch for configure.in (3.60 KB, patch)
2009-10-22 10:58 EDT, Jeroen van Meeuwen
no flags Details | Diff

  None (edit)
Description Mamoru TASAKA 2009-08-28 04:42:00 EDT
Description of problem:
1.8.6p383 is available since 2009-08-03.
Comment 1 Jeroen van Meeuwen 2009-10-22 10:55:45 EDT
I'm getting openssl compilation errors, do you know what to do about them?

gcc -I. -I../.. -I../../. -I../.././ext/openssl -DRUBY_EXTCONF_H=\"extconf.h\"   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fno-strict-aliasing  -fPIC  -c ossl_pkcs7.c
ossl_pkcs7.c: In function 'ossl_pkcs7si_new':
ossl_pkcs7.c:90: warning: passing argument 2 of 'ASN1_dup' from incompatible pointer type
/usr/include/openssl/asn1.h:951: note: expected 'void * (*)(void **, const unsigned char **, long int)' but argument is of type 'char * (*)()'
ossl_pkcs7.c: In function 'DupPKCS7SignerPtr':
ossl_pkcs7.c:103: warning: passing argument 2 of 'ASN1_dup' from incompatible pointer type
/usr/include/openssl/asn1.h:951: note: expected 'void * (*)(void **, const unsigned char **, long int)' but argument is of type 'char * (*)()'
ossl_pkcs7.c: In function 'ossl_pkcs7ri_new':
ossl_pkcs7.c:116: warning: passing argument 2 of 'ASN1_dup' from incompatible pointer type
/usr/include/openssl/asn1.h:951: note: expected 'void * (*)(void **, const unsigned char **, long int)' but argument is of type 'char * (*)()'
ossl_pkcs7.c: In function 'DupPKCS7RecipientPtr':
ossl_pkcs7.c:129: warning: passing argument 2 of 'ASN1_dup' from incompatible pointer type
/usr/include/openssl/asn1.h:951: note: expected 'void * (*)(void **, const unsigned char **, long int)' but argument is of type 'char * (*)()'
ossl_pkcs7.c: In function 'ossl_pkcs7_initialize':
ossl_pkcs7.c:303: warning: value computed is not used
ossl_pkcs7.c: At top level:
ossl_pkcs7.c:546: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
ossl_pkcs7.c: In function 'ossl_pkcs7_set_certificates':
ossl_pkcs7.c:584: warning: implicit declaration of function 'pkcs7_get_certs_or_crls'
ossl_pkcs7.c:584: warning: assignment makes pointer from integer without a cast
ossl_pkcs7.c: In function 'ossl_pkcs7_get_certificates':
ossl_pkcs7.c:594: warning: passing argument 1 of 'ossl_x509_sk2ary' makes pointer from integer without a cast
ossl.h:120: note: expected 'struct stack_st_X509 *' but argument is of type 'int'
ossl_pkcs7.c: In function 'ossl_pkcs7_set_crls':
ossl_pkcs7.c:624: warning: assignment makes pointer from integer without a cast
ossl_pkcs7.c: In function 'ossl_pkcs7_get_crls':
ossl_pkcs7.c:634: warning: passing argument 1 of 'ossl_x509crl_sk2ary' makes pointer from integer without a cast
ossl.h:121: note: expected 'struct stack_st_X509_CRL *' but argument is of type 'int'
ossl_pkcs7.c: In function 'ossl_pkcs7_to_der':
ossl_pkcs7.c:754: warning: pointer targets in assignment differ in signedness
make[1]: *** [ossl_pkcs7.o] Error 1
Comment 2 Jeroen van Meeuwen 2009-10-22 10:58:08 EDT
Created attachment 365741 [details]
Replacement patch for configure.in

Attached a replacement ruby-rubyprefix.patch from 1.8.6-p369 (see Patch20 in .spec) to reproduce the aforementioned openssl compilation error with.
Comment 3 Jeroen van Meeuwen 2009-10-22 11:29:54 EDT
Does compile on F-11, so I'm thinking a recent change between openssl in F-11 and openssl in F-12. Cloning the CVS repository for OpenSSL from cvs.openssl.org now (and importing it in GIT while I'm at it)
Comment 4 Mamoru TASAKA 2009-10-23 14:01:19 EDT
(In reply to comment #1)
> I'm getting openssl compilation errors, do you know what to do about them?

You just forgot to apply ruby-openssl-1.0.patch provided
by Tomas Mraz. Applied this (as before) for devel/F-12 and restored
the previous changes on F-11, rebuilt as 1.8.6.383-2.fc{11,12.13}
Comment 5 Jeroen van Meeuwen 2009-10-24 20:01:54 EDT
I was working on an old spec indeed. I think -p383 is ready to be released now, what do you think?
Comment 6 Mamoru TASAKA 2009-10-25 12:11:04 EDT
(In reply to comment #5)
> I think -p383 is ready to be released now,
> what do you think?  

On F-11 pushing into testing first is preferrable, I guess
For F-12, requesting rel-eng team to make tagged as f12-final
seems reasonable for me.

Note that I added a fix for bug 518584. I think fixing other bugs beforehand
should not be the blocker for pushing p383 into Fedora's repository,
however if the other bugs can be fixed soon, it is better that the
fixes should be included before pushing into stable repository.
Comment 7 Mamoru TASAKA 2009-10-29 12:55:57 EDT
I wll ask rel-eng team to add 1.8.6.383-4.fc12 into f12-final tree.
Comment 8 Mamoru TASAKA 2009-10-29 13:11:25 EDT
And for F-11 I will push into testing first.
Comment 9 Fedora Update System 2009-10-29 14:46:49 EDT
ruby-1.8.6.383-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ruby-1.8.6.383-4.fc11
Comment 10 Fedora Update System 2009-11-16 02:30:59 EST
ruby-1.8.6.383-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.